Flutter
for IntelliJ IDEA

Compatible with  IntelliJ IDEA
13.01.2017
2 133
Support for developing Flutter applications. Flutter gives developers an easy and productive way to build and deploy cross-platform, high-performance mobile apps on both Android and iOS.

Download plugin

Recent change notes

0.1.8.1:
  • improve handling of breakpoints for the bazel launch config
0.1.8:
  • fixed race condition in console reporting on project creation
  • improved interaction between Flutter and Dart plugins during project creation (no more unnecessary nags to run pub)
  • improvements to version checking
  • settings UI refinements
  • new "Help > Flutter Plugin" top-level menu
  • added reload/restart actions in the main toolbar
  • improved console folding for iOS messages
  • fixed NPE in project creation
0.1.7:
  • improved console output folding when running iOS apps
  • actions for Flutter package get and package update
  • a new top level Flutter menu (Tools>Flutter) with common Flutter actions
  • updated hot reload and restart icons
  • editor annotations showing Flutter colors and icons in the editor ruler
  • better console filtering (less noise)
  • improved detection of Flutter projects missing a Flutter module type
0.1.6:
  • reload and restart keybinding mapping fixes
  • new buttter bar with actions for flutter.yaml files
  • "run" behavior re-designed to support reload
  • improved console output for reloading and restarting
  • miscellaneous fixes and stability improvements
0.1.5:
  • console filtering for flutter run output
  • improved messaging for incomplete Flutter SDK configirations
  • support for new application events produced by Flutter tools
  • fixed duplicate service protocol console logging
  • Flutter run configuration cleanup
  • fixed NPE in showing progress from Flutter tools tasks
  • migration away from storing Flutter SDK location in an application library
0.1.4.1:
  • removed an exception notification when we receive unknown events from the flutter tools
0.1.4:
  • first public release
0.1.3:
  • notifications for projects that look like Flutter apps but do not have Flutter enabled
  • improved Flutter preference UI and SDK configuration
  • IDEA version constraints to ensure that the plugin cannot be installed in incompatible IDEA versions
0.1.2:
  • fixed device selector filtering
0.1.1:
  • removed second (redundant) "open observatory" button
  • filtering to ensure the Flutter device selector only appears for Flutter projects
  • fixed hangs on app re-runs
0.1.0:
  • initial alpha release

No comments so far.

Please  sign in  to leave a comment.